From 800e76b09e9e172fced24776f8ef772d18ec9242 Mon Sep 17 00:00:00 2001
From: Jonas Meurer <jonas@freesources.org>
Date: Sun, 7 Jan 2018 15:39:35 +0100
Subject: [PATCH] Add libjson-c3-udeb package for debian installer

---
 debian/changelog               |  8 ++++++++
 debian/control                 | 14 ++++++++++++++
 debian/libjson-c3-udeb.install |  2 ++
 debian/rules                   |  3 +++
 4 files changed, 27 insertions(+)
 create mode 100755 debian/libjson-c3-udeb.install

diff --git a/debian/changelog b/debian/changelog
index 316fcb4..6227f8b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+json-c (0.12.1-1.3) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Add libjson-c3-udeb package for debian installer. Required as
+    dependency for libcryptsetup12-udeb. (Closes: #880526)
+
+ -- Jonas Meurer <jonas@freesources.org>  Sun, 07 Jan 2018 15:38:46 +0100
+
 json-c (0.12.1-1.2) unstable; urgency=medium
 
   * Non-maintainer upload.
diff --git a/debian/control b/debian/control
index 831062f..e46e88b 100644
--- a/debian/control
+++ b/debian/control
@@ -48,3 +48,17 @@ Description: JSON manipulation library - documentation files
  strings back into the C representation of JSON objects.
  .
  The documentation for libjson-c is provided by this package.
+
+Package: libjson-c3-udeb
+Section: debian-installer
+Package-Type: udeb
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Description: JSON manipulation library - shared library (udeb)
+ This library allows you to easily construct JSON objects in C,
+ output them as JSON formatted strings and parse JSON formatted
+ strings back into the C representation of JSON objects.
+ .
+ This udeb package provides libjson-c3 for the Debian Installer.
diff --git a/debian/libjson-c3-udeb.install b/debian/libjson-c3-udeb.install
new file mode 100755
index 0000000..76570a1
--- /dev/null
+++ b/debian/libjson-c3-udeb.install
@@ -0,0 +1,2 @@
+#!/usr/bin/dh-exec
+usr/lib/${DEB_HOST_MULTIARCH}/libjson-c.so.3* lib/${DEB_HOST_MULTIARCH}/
diff --git a/debian/rules b/debian/rules
index 25c60ec..e9d345a 100755
--- a/debian/rules
+++ b/debian/rules
@@ -35,3 +35,6 @@ override_dh_install:
 
 %:
 	dh  $@ --with autoreconf --with autotools-dev
+
+override_dh_makeshlibs:
+	dh_makeshlibs -V --add-udeb="libjson-c3-udeb"
-- 
2.11.0

